Page MenuHomePhabricator

efl_ui_default_item: remove item parts
ClosedPublic

Authored by bu5hm4n on Aug 16 2019, 8:54 AM.

Details

Summary

these parts are hard copies of the part implementations given from the
layouts. Replacing them with the layout implementation just works

ref T8115

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 16 2019, 8:54 AM
bu5hm4n requested review of this revision.Aug 16 2019, 8:54 AM
bu5hm4n added a child revision: D9583: introduce group item.
cedric accepted this revision.Aug 16 2019, 10:14 AM

Hero!

This revision is now accepted and ready to land.Aug 16 2019, 10:14 AM

Just for my personal understanding, what is going on here?
I see that 3 item parts are being mapped onto 2 layout parts. Isn't there an overlap?

Efl.Ui.Item_Part_Icon and Efl.Ui.Item_Part_Extra and Efl.Ui.Item_Part_Content are plain copies of each other.

Ah, ok, copies of each other. I thought they had copies in Layout. Thx!

zmike accepted this revision.Aug 19 2019, 5:35 AM
zmike requested changes to this revision.Aug 19 2019, 5:39 AM

Needs rebase

This revision now requires changes to proceed.Aug 19 2019, 5:39 AM
bu5hm4n removed a child revision: D9629: introduce default item.
bu5hm4n added a parent revision: D9629: introduce default item.

I might have forgotten the child revision of this :( sorry.

cedric requested changes to this revision.Aug 20 2019, 12:03 PM
cedric added inline comments.
src/lib/elementary/efl_ui_default_item.eo
19–20

Sorry I missed this, the part is extra in your efl_part_get implementation.

This revision now requires changes to proceed.Aug 20 2019, 12:03 PM

I just forgot this in the revision, its updated.

This revision was not accepted when it landed; it landed in state Needs Revision.Tue, Aug 20, 10:51 PM
Closed by commit rEFL2dfc69397bb1: efl_ui_default_item: remove item parts (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.